Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002588 [Piwigo] template minor have not tried 2012.03.04 12:14 2012.06.22 11:36
Reporter mistic100 View Status public  
Assigned To Zaphod
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.4.0 Product Version 2.4.0beta2
  Target Version 2.4.0 Product Build
Summary 0002588: Template evolutions for 2.4
Description group all change made in the template

assigned to Zaphod and mistic100
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0006096)
svn (reporter)
2012.03.04 17:28

[Subversion] r13474 by Zaphod on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: template modification for v2.4
-> #content on picture & slideshow page
-> class 'browsePathSeparator' on LEVEL_SEPARATOR on browsePath
-> derivativeSwitchLink replaced by pwg-size icon (with associated css modification on themes)
-> new id #theImageAndInfos that contains #theImage and #imageInfos
(0006097)
svn (reporter)
2012.03.04 17:35

[Subversion] r13475 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: mismatching end-tags
(0006098)
svn (reporter)
2012.03.04 19:57

[Subversion] r13478 by Zaphod on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: bugfix on picture.tpl (derivative switchlink)
(0006131)
svn (reporter)
2012.03.24 21:33

[Subversion] r13697 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: rename css classes 'thumbnailCategories' and 'thumbnailCategory' on comment_list.tpl
(0006142)
svn (reporter)
2012.03.25 21:20

[Subversion] r13729 by Zaphod on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: template modification for v2.4

-> new class .switchBox for all boxes (sortOrder, derivative, etc...)
-> new classes to help layout in switchBoxes:
    - .switchCheck for the check character
    - .switchSelected for the selected option
    - .switchUnselected for all other options
-> new menubar.tpl with empty div #menuSwitcher
(0006144)
Zaphod (developer)
2012.03.25 21:24

In last commit, there was another modification:

-> in picture_nav_buttons.tpl, first & last link removed
(0006153)
svn (reporter)
2012.03.27 22:44

[Subversion] r13774 by Zaphod on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: uniformization of picture.tpl

picture.tpl is merge between default theme & elegant theme.
css adaptation to have the image info displayed as a table with default.
(0006158)
svn (reporter)
2012.03.28 20:44

[Subversion] r13787 by Zaphod on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: bug correction on picture.tpl (privacylevelbox)
(0006159)
svn (reporter)
2012.03.28 21:35

[Subversion] r13788 by Zaphod on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: modifications on index.tpl & slideshow.tpl
New classes & ID:
On index.tpl:
.calendarTitleBar for titrePage when a calendar title is shown
.calendarTitle for second h2 in titrePage
On slideshow.tpl:
#slideshow to indicate that we are on slideshow page
(0006174)
svn (reporter)
2012.04.01 15:48

[Subversion] r13844 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: use jQuery to toggle derivatives and sort boxes + prevent boxes to overflow the page
(0006178)
svn (reporter)
2012.04.03 17:44

[Subversion] r13870 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: use jQuery() function instead of $(), avoiding possible conflicts with other frameworks
(0006212)
svn (reporter)
2012.04.15 19:10

[Subversion] r14168 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: add LEVEL_SEPARATOR for all pages
(0006220)
svn (reporter)
2012.04.20 22:17

[Subversion] r14239 by Zaphod on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: new classes to help css personalization.
- on mainpage_categories.tpl
New classes odd & even on .thumbnailCategories LI
- on thumbnails.tpl
class thumbName for $thumbnail.NAME
(if someone wants to hide the thumbnail name, and not the nb comments or hits)
(0006221)
svn (reporter)
2012.04.20 22:31

[Subversion] r14240 by Zaphod on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2588: template harmonization
All templates (tags, comments etc...) have now a "Home" link at the beginning of the page title (like index.tpl), instead of a home icon.

- Issue History
Date Modified Username Field Change
2012.03.04 12:14 mistic100 New Issue
2012.03.04 12:14 mistic100 Status new => assigned
2012.03.04 12:14 mistic100 Assigned To => Zaphod
2012.03.04 12:14 mistic100 browser => any
2012.03.04 12:14 mistic100 Web server => Apache 1.3.x
2012.03.04 17:28 svn Checkin
2012.03.04 17:28 svn Note Added: 0006096
2012.03.04 17:35 svn Checkin
2012.03.04 17:35 svn Note Added: 0006097
2012.03.04 19:57 svn Checkin
2012.03.04 19:57 svn Note Added: 0006098
2012.03.24 21:33 svn Checkin
2012.03.24 21:33 svn Note Added: 0006131
2012.03.25 21:20 svn Checkin
2012.03.25 21:20 svn Note Added: 0006142
2012.03.25 21:24 Zaphod Note Added: 0006144
2012.03.27 22:44 svn Checkin
2012.03.27 22:44 svn Note Added: 0006153
2012.03.28 20:44 svn Checkin
2012.03.28 20:44 svn Note Added: 0006158
2012.03.28 21:35 svn Checkin
2012.03.28 21:35 svn Note Added: 0006159
2012.04.01 15:48 svn Checkin
2012.04.01 15:48 svn Note Added: 0006174
2012.04.03 17:44 svn Checkin
2012.04.03 17:44 svn Note Added: 0006178
2012.04.03 23:09 plg Target Version 2.4.0RC2 => 2.4.0RC3
2012.04.15 19:10 svn Checkin
2012.04.15 19:10 svn Note Added: 0006212
2012.04.20 22:17 svn Checkin
2012.04.20 22:17 svn Note Added: 0006220
2012.04.20 22:31 svn Checkin
2012.04.20 22:31 svn Note Added: 0006221
2012.04.30 11:51 plg Target Version 2.4.0RC3 => 2.4.0
2012.06.22 11:36 plg Status assigned => closed
2012.06.22 11:36 plg Resolution open => fixed
2012.06.22 11:36 plg Fixed in Version => 2.4.0


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker